Last Comment Bug 682751 - Remove build/hcc and build/hcpp
: Remove build/hcc and build/hcpp
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Matheus Kerschbaum
:
Mentors:
Depends on: 680792
Blocks: 682920
  Show dependency treegraph
 
Reported: 2011-08-28 17:14 PDT by Matheus Kerschbaum
Modified: 2011-08-31 08:09 PDT (History)
3 users (show)
matjk7: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (9.58 KB, patch)
2011-08-28 17:19 PDT, Matheus Kerschbaum
ted: review+
Details | Diff | Review
patch for checkin (9.96 KB, patch)
2011-08-29 11:54 PDT, Matheus Kerschbaum
matjk7: review+
emorley: checkin+
Details | Diff | Review
bustage fix (6.87 KB, patch)
2011-08-29 12:59 PDT, Matheus Kerschbaum
emorley: checkin+
Details | Diff | Review

Description Matheus Kerschbaum 2011-08-28 17:14:41 PDT

    
Comment 1 Matheus Kerschbaum 2011-08-28 17:19:27 PDT
Created attachment 556439 [details] [diff] [review]
patch

From a quick look in MXR it appears that Unixware depends on this workaround. Are we ok with dropping support for that platform?
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-08-29 04:45:47 PDT
Comment on attachment 556439 [details] [diff] [review]
patch

Review of attachment 556439 [details] [diff] [review]:
-----------------------------------------------------------------

If UnixWare really relies on this then yes, it's fine to drop support. (I'd bet that's probably an ancient workaround anyway.)

::: configure.in
@@ +946,5 @@
>  esac
>  
>  dnl Test breaks icc on OS/2 && MSVC
>  if test "$CC" != "icc" -a -z "$_WIN32_MSVC"; then
>      AC_PROG_CC_C_O

Just remove this whole block. It's not worth testing for compilers that can't support -c -o at all.
Comment 3 Matheus Kerschbaum 2011-08-29 11:54:38 PDT
Created attachment 556630 [details] [diff] [review]
patch for checkin
Comment 4 Ed Morley [:emorley] 2011-08-29 12:19:51 PDT
http://hg.mozilla.org/projects/build-system/rev/080f856c88a7
Comment 5 Matheus Kerschbaum 2011-08-29 12:59:55 PDT
Created attachment 556656 [details] [diff] [review]
bustage fix

Maybe one day I'll actually remember to change js/src before burning the tree.
Comment 6 Ed Morley [:emorley] 2011-08-29 13:18:10 PDT
Comment on attachment 556656 [details] [diff] [review]
bustage fix

Yeah well I could have spotted it or built locally before pushing too!

I don't know if you have a build environment set up already, but if you could build locally as a quick sanity check, it will make things quicker when I check patches in. Thanks :-)
Comment 7 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-08-31 08:09:26 PDT
http://hg.mozilla.org/mozilla-central/rev/080f856c88a7
http://hg.mozilla.org/mozilla-central/rev/b26059bb002e

Note You need to log in before you can comment on or make changes to this bug.